#!/usr/bin/env sh
#
# CIS-LBK Recommendation Function
# ~/CIS-LBK/functions/fct/nix_ensure_reverse_path_filtering_enabled_fct.sh
# 
# Name                Date       Description
# ------------------------------------------------------------------------------------------------
# Eric Pinnell       09/21/20    Recommendation "Ensure Reverse Path Filtering is enabled"
#
ensure_reverse_path_filtering_enabled_fct()
{
#	echo "- $(date +%d-%b-%Y' '%T) - Starting $RNA" | tee -a "$LOG" 2>> "$ELOG"
#	test="" test1="" test2="" test3="" test4=""
#	# Check sysctl net.ipv4.conf.all.rp_filter in the running config
#	echo "- $(date +%d-%b-%Y' '%T) - Checking sysctl net.ipv4.conf.all.rp_filter in the running config" | tee -a "$LOG" 2>> "$ELOG"
#	if sysctl | grep -Eq '^net.ipv4.conf.all.rp_filter\s*=\s+1\b'; then
#		test1=passed
#	else
#		echo "- $(date +%d-%b-%Y' '%T) - Remediating net.ipv4.conf.all.rp_filter in the running config" | tee -a "$LOG" 2>> "$ELOG"
#		sysctl -w net.ipv4.conf.all.rp_filter=1
#		sysctl -w net.ipv4.route.flush=1
#		sysctl | grep -Eq '^net.ipv4.conf.all.rp_filter\s*=\s+1\b' && test1=remediated
#	fi
#	# Check sysctl net.ipv4.conf.default.rp_filter in the running config
#	echo "- $(date +%d-%b-%Y' '%T) - Checking sysctl net.ipv4.conf.default.rp_filter in the running config" | tee -a "$LOG" 2>> "$ELOG"
#	if sysctl | grep -Eq '^net.ipv4.conf.default.rp_filter\s*=\s+1\b'; then
#		test2=passed
#	else
#		echo "- $(date +%d-%b-%Y' '%T) - Remediating net.ipv4.conf.default.rp_filter in the running config" | tee -a "$LOG" 2>> "$ELOG"
#		sysctl -w net.ipv4.conf.default.rp_filter=1
#		sysctl -w net.ipv4.route.flush=1
#		sysctl | grep -Eq '^net.ipv4.conf.default.rp_filter\s*=\s+1\b' && test2=remediated
#	fi
#	# Check sysctl net.ipv4.conf.all.rp_filter in sysctl conf files
#	echo "- $(date +%d-%b-%Y' '%T) - Checking net.ipv4.conf.all.rp_filter in sysctl conf files" | tee -a "$LOG" 2>> "$ELOG"
#	if ! grep -Elqs "^\s*net\.ipv4\.conf\.all\.rp_filter\s*=\s*0" /etc/sysctl.conf /etc/sysctl.d/*.conf /usr/lib/sysctl.d/*.conf /run/sysctl.d/*.conf; then
#		test3=passed
#	else
#		echo "- $(date +%d-%b-%Y' '%T) - Remediating net.ipv4.conf.all.rp_filter in sysctl conf files" | tee -a "$LOG" 2>> "$ELOG"
#		grep -Els "^\s*net\.ipv4\.conf\.all\.rp_filter\s*=\s*0" /etc/sysctl.conf /etc/sysctl.d/*.conf /usr/lib/sysctl.d/*.conf /run/sysctl.d/*.conf | while read -r filename; do
#			sed -ri "s/^\s*(net\.ipv4\.conf\.all\.rp_filter\s*=\s*\S+\b).*$/# *REMOVED by CIS-LBK* \1/" "$filename"
#		done
#		! grep -Elqs "^\s*net\.ipv4\.conf\.all\.rp_filter\s*=\s*0" /etc/sysctl.conf /etc/sysctl.d/*.conf /usr/lib/sysctl.d/*.conf /run/sysctl.d/*.conf && test3=remediated
#	fi
#	# Check net.ipv4.conf.default.rp_filter in sysctl conf files
#	echo "- $(date +%d-%b-%Y' '%T) - Checking net.ipv4.conf.default.rp_filter in sysctl conf files" | tee -a "$LOG" 2>> "$ELOG"
#	if grep -Elqs "^\s*net\.ipv4\.conf\.default\.rp_filter\s*=\s*1\b" /etc/sysctl.conf /etc/sysctl.d/*.conf /usr/lib/sysctl.d/*.conf /run/sysctl.d/*.conf; then
#		test4=passed
#	else
#		echo "- $(date +%d-%b-%Y' '%T) - net.ipv4.conf.default.rp_filter in sysctl conf files" | tee -a "$LOG" 2>> "$ELOG"
#		grep -Els "net\.ipv4\.conf\.default\.rp_filter\s*=" /etc/sysctl.conf /etc/sysctl.d/*.conf /usr/lib/sysctl.d/*.conf /run/sysctl.d/*.conf | while read -r filename; do
#			sed -ri 's/^\s*(#\s*)?(net\.ipv4\.conf\.default\.rp_filter\s*=\s*)(.*)?$/\21 # Modified by CIS-LBK/' "$filename"
#		done
#		if ! grep -Elqs "^\s*net\.ipv4\.conf\.default\.rp_filter\s*=\s*1\b" /etc/sysctl.conf /etc/sysctl.d/*.conf /usr/lib/sysctl.d/*.conf /run/sysctl.d/*.conf; then
#			echo "net\.ipv4\.conf\.default\.rp_filter = 1" >> /etc/sysctl.d/cis_sysctl.conf
#		fi
#		grep -Elqs "^\s*net\.ipv4\.conf\.default\.rp_filter\s*=\s*1\b" /etc/sysctl.conf /etc/sysctl.d/*.conf /usr/lib/sysctl.d/*.conf /run/sysctl.d/*.conf && test4=remediated
#	fi
	# Check status of tests
#	if [ -n "$test1" ] && [ -n "$test2" ] && [ -n "$test3" ] && [ -n "$test4" ]; then
#		if [ "$test1" = passed ] && [ "$test2" = passed ] && [ "$test3" = passed ] && [ "$test4" = passed ]; then
#			test=passed
#		else
#			test=remediated
#		fi
#	fi
#	grep -Eq "^(\s*)net.ipv4.conf.all.rp_filter\s*=\s*\S+(\s*#.*)?\s*$" /etc/sysctl.conf && sed -ri "s/^(\s*)net.ipv4.conf.all.rp_filter\s*=\s*\S+(\s*#.*)?\s*$/\1net.ipv4.conf.all.rp_filter = 1\2/" /etc/sysctl.conf || echo "net.ipv4.conf.all.rp_filter = 1" >> /etc/sysctl.conf
#	grep -Eq "^(\s*)net.ipv4.conf.default.rp_filter\s*=\s*\S+(\s*#.*)?\s*$" /etc/sysctl.conf && sed -ri "s/^(\s*)net.ipv4.conf.default.rp_filter\s*=\s*\S+(\s*#.*)?\s*$/\1net.ipv4.conf.default.rp_filter = 1\2/" /etc/sysctl.conf || echo "net.ipv4.conf.default.rp_filter = 1" >> /etc/sysctl.conf
#	# Set return code and return
#	case "$test" in
#		passed)
#			echo "Recommendation \"$RNA\" No remediation required" | tee -a "$LOG" 2>> "$ELOG"
#			return "${XCCDF_RESULT_PASS:-101}"
#			;;
#		remediated)
#			echo "Recommendation \"$RNA\" successfully remediated" | tee -a "$LOG" 2>> "$ELOG"
#			return "${XCCDF_RESULT_PASS:-103}"
#			;;
#		manual)
#			echo "Recommendation \"$RNA\" requires manual remediation" | tee -a "$LOG" 2>> "$ELOG"
#			return "${XCCDF_RESULT_FAIL:-106}"
#			;;
#		*)
#			echo "Recommendation \"$RNA\" remediation failed" | tee -a "$LOG" 2>> "$ELOG"
#			return "${XCCDF_RESULT_FAIL:-102}"
#			;;
#	esac
}